package service

import (
	"git.amok.space/yevhen/resource-scraper/pkg/repository"
	"git.amok.space/yevhen/resource-scraper/types/interface"
)

type Service struct {
	_interface.Rutracker
	_interface.Prescene
	_interface.Info
	_interface.ShareTheBrutality
}

func New(repos *repository.Repository) *Service {
	return &Service{
		Rutracker:         NewRutrackerService(repos.Rutracker),
		Prescene:          NewPresceneService(repos.Prescene),
		Info:              NewInfoService(),
		ShareTheBrutality: NewShareTheBrutalityService(repos.ShareTheBrutality),
	}
}
