package resource

import "github.com/golang-module/carbon/v2"

/*https://www.metal-archives.com/search/ajax-advanced/searching/albums/?bandName=&releaseTitle=&releaseYearFrom=2024&releaseMonthFrom=09&releaseYearTo=&releaseMonthTo=&country=&location=&releaseLabelName=&releaseCatalogNumber=&releaseIdentifiers=&releaseRecordingInfo=&releaseDescription=&releaseNotes=&genre=&sEcho=6&iColumns=4&sColumns=&iDisplayStart=1000&iDisplayLength=200&mDataProp_0=0&mDataProp_1=1&mDataProp_2=2&mDataProp_3=3&_=1726217541027*/

type AutoGenerated struct {
	Error                string     `json:"error"`
	ITotalRecords        int        `json:"iTotalRecords"`
	ITotalDisplayRecords int        `json:"iTotalDisplayRecords"`
	SEcho                int        `json:"sEcho"`
	AaData               [][]string `json:"aaData"`
}

/*ALTER TABLE `go_tut_tokill`.`external_sources`
CHANGE COLUMN `type` `type` ENUM('mmt', 'prescene', 'rutracker', 'locate', 'darkabyss', 'bfm', 'trash', 'nnmc', 'stb', 'bandcamp', 'deathgrind', 'ma') NULL DEFAULT NULL ;

*/

// AlbumQuery easy to debug https://www.freeformatter.com/url-parser-query-string-splitter.html
type AlbumQuery struct {
	BandName             string        `param:"bandName"`
	ReleaseTitle         string        `param:"releaseTitle"`
	ReleaseYearFrom      int           `param:"releaseYearFrom"`
	ReleaseMonthFrom     int           `param:"releaseMonthFrom"`
	ReleaseYearTo        int           `param:"releaseYearTo"`
	ReleaseMonthTo       int           `param:"releaseMonthTo"`
	Country              []string      `param:"country"`
	Location             string        `param:"location"`
	ReleaseLabelName     string        `param:"releaseLabelName"`
	ReleaseCatalogNumber int           `param:"releaseCatalogNumber"`
	ReleaseIdentifiers   string        `param:"releaseIdentifiers"`
	ReleaseRecordingInfo string        `param:"releaseRecordingInfo"`
	ReleaseDescription   string        `param:"releaseDescription"`
	ReleaseNotes         string        `param:"releaseNotes"`
	Genre                string        `param:"genre"`
	ReleaseType          []string      `param:"releaseType"`
	SEcho                string        `param:"sEcho"`
	IColumns             uint8         `param:"iColumns" default:"4"`
	SColumns             string        `param:"sColumns"`
	IDisplayStart        uint8         `param:"iDisplayStart" default:"0"`
	IDisplayLength       uint8         `param:"iDisplayLength" default:"200"`
	MDataProp            uint8         `param:"mDataProp_%d"`
	Timestamp            carbon.Carbon `param:"_"`
}
